List category offers

Lists the insurance or services offers for a product category. Supply the product's category and price for which you want offers, and Evy will return the corresponding offers, and locale information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

Returns an array of offer objects, and the associated locale object, and raises an error otherwise.

{
  "offers":[
    {
      "id": "23235424-4a35-43bd-bb6a-f67d01d5790e",
      "sku": "7f3baf0f-5282-4381-961b-4a8dcb056990-0-10000",
      "object": "offer",
      "coverage": ["theft"],
      "coverage_id": "3",
      "currency": "EUR",
      "required_products": "exactly_one",
      "payment_type": "one_time",
      "policy_id": "7f3baf0f-5282-4381-961b-4a8dcb056990",
      "price": 1000,
      "total_price": 1000,
      "annualized_price": 1000,
      "term": 12,
      "offer_designation": "insurance",
      "store_id": "ca9e74e6-a9ae-4294-a264-16184160f71b",
      "embedded": false,
      "post_purchase_window_days": 0
    }
  ],
  "locale": {
      "object": "locale",
      ...
  }
}
Path Params
string
required

Unique category identifier of the product you want insurance offers for.

Query Params
int32
required

The price of the product displayed to the customer.

string

The store ID for which you would like to get offers. This is a required parameter for multi store API keys.

boolean
Defaults to true

Whether the listed offers are distributed by a partner. Set to true by default, which means the endpoint only returns offers not sold directly by evy.

Headers
string

See the Language page.

Language
LoadingLoading…